// genCache.h -- method prologue inline cache generation	-*- C++ -*-
// 
// Author: Ian.Piumarta@INRIA.Fr
//
// Last edited: Wed Jan  5 15:27:41 2000 by piumarta (Ian Piumarta) on pingu

#ifndef _j_genCache_h


#include "archdep.h"

class Class;
class NativeMethod;

extern void genSICacheCheck(NativeMethod *nMeth, insn *enter, insn *relink);
extern void genCCCacheCheck(NativeMethod *nMeth, insn *enter, insn *relink);
extern void genNCCacheCheck(NativeMethod *nMeth, insn *enter, insn *relink);
extern void genIXCacheCheck(NativeMethod *nMeth, Class *rcvrClass, insn *relink);


#endif // _j_genCache_h
